{{set . "title" "Category"}}
{{template "header.html" .}}

<header class="hero-unit">
    <div class="container">
        <div class="row">
            <div class="hero-text">
                <h1>Edit Category</h1>
            </div>
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            {{template "flash.html" .}}
        </div>
        <div class="col-md-12">
            <form method="POST" action='{{if .category.ID}}{{url "Category.Update"}}{{else}}{{url "Category.Create"}}{{end}}'>
            {{with $field := field "category.ID" .}}
            <input type="hidden" id="{{$field.ID}}" name="id" value="{{$field.Value}}">
            {{end}}
            <div class="form-group">
                {{with $field := field "category.Name" .}}
                <label for="{{$field.ID}}">Name * </label>
                <input type="text" id="{{.ID}}" name="name" value="{{$field.Value}}"
                       class="{{.ErrorClass}} form-control">
                <span class="error">{{.Error}}</span>

                {{end}}
            </div>
            <div class="form-group">
                {{with $field := field "category.Status" .}}
                <label for="{{$field.ID}}">Status * </label>
                <input type="number" id="{{$field.ID}}" name="status" value="{{$field.Value}}"
                       class="{{$field.ErrorClass}} form-control">
                <span class="error">{{$field.Error}}</span>

                {{end}}
            </div>
            <div class="form-group">
                {{with $field := field "category.Order" .}}
                <label for="{{$field.ID}}">Order * </label>
                <input type="number" id="{{$field.ID}}" name="order" value="{{$field.Value}}"
                       class="{{$field.ErrorClass}} form-control">
                <span class="error">{{$field.Error}}</span>

                {{end}}
            </div>
            <div class="form-group">
                {{with $field := field "category.Description" .}}
                <label for="{{$field.ID}}">Description * </label>
                <textarea id="{{$field.ID}}" name="description" class="{{$field.ErrorClass}} form-control">
                    {{$field.Value}}
                </textarea>
                <span class="error">{{$field.Error}}</span>

                {{end}}
            </div>
            <div class="form-group">
                {{with $field := field "category.ParentId" .}}
                <label for="{{$field.ID}}">ParentId * </label>
                <input type="number" id="{{$field.ID}}" name="parentId" value="{{$field.Value}}"
                       class="{{$field.ErrorClass}} form-control">
                <span class="error">{{$field.Error}}</span>

                {{end}}
            </div>

            <input type="submit" class="btn btn-success" value="Save category"/>
            </form>
        </div>
    </div>
</div>
{{template "footer.html" .}}